# FairMQ: fair::mq::shmem::UnmanagedRegion Class Reference

fair::mq::shmem::UnmanagedRegion Class Referencefinal
Inheritance diagram for fair::mq::shmem::UnmanagedRegion:
[legend]
Collaboration diagram for fair::mq::shmem::UnmanagedRegion:
[legend]

## Public Member Functions

| UnmanagedRegion (Manager &manager, const size_t size, RegionCallback callback, const std::string &path="", int flags=0)
| UnmanagedRegion (Manager &manager, const size_t size, const int64_t userFlags, RegionCallback callback, const std::string &path="", int flags=0)
void * | GetData () const override
size_t | GetSize () const override

## Friends

class | Message
class | Socket

The documentation for this class was generated from the following file:

- fairmq/shmem/UnmanagedRegion.h

privacy